Subject: Re: including PHY tree in linux-next

From: Kishon Vijay Abraham I <[email-masked]>
Date: Fri, 21 Oct 2016 10:09:45 +0530

Hi,

On Friday 21 October 2016 03:30 AM, Stephen Rothwell wrote:
> Hi Kishon,
> 
> On Thu, 20 Oct 2016 15:45:56 +0530 Kishon Vijay Abraham I <[email-masked]> wrote:
>>
>> Can you include the following branches for linux-phy tree into linux-next?
>>
>> git://git.kernel.org/pub/scm/linux/kernel/git/kishon/linux-phy.git next
>> git://git.kernel.org/pub/scm/linux/kernel/git/kishon/linux-phy.git fixes
> 
> Added from today (called phy-next and phy respectively).  Will these be
> merged via Dave Miller's trees, or directly to Linus?

I send pull request to gregkh. This tree contains USB, SATA and other PHYs
except ethernet PHY. greg generally merges it into his USB tree.
> 
> Thanks for adding your subsystem tree as a participant of linux-next.  As
> you may know, this is not a judgement of your code.  The purpose of
> linux-next is for integration testing and to lower the impact of
> conflicts between subsystems in the next merge window.
> 
> You will need to ensure that the patches/commits in your tree/series have
> been:
>      * submitted under GPL v2 (or later) and include the Contributor's
>         Signed-off-by,

hmm.. I see atleast 4 drivers in drivers/phy which has just
MODULE_LICENSE("GPL"). I can check if these can be changed to GPL v2.
>      * posted to the relevant mailing list,
>      * reviewed by you (or another maintainer of your subsystem tree),
>      * successfully unit tested, and 
>      * destined for the current or next Linux merge window.
> 
> Basically, this should be just what you would send to Linus (or ask him
> to fetch).  It is allowed to be rebased if you deem it necessary.

sure, I understand and agree to all of this.

Thanks
Kishon